Upstream information

CVE-2013-0200 at MITRE

Description

HP Linux Imaging and Printing (HPLIP) through 3.12.4 allows local users to overwrite arbitrary files via a symlink attack on the (1) /tmp/hpcupsfilterc_#.bmp, (2) /tmp/hpcupsfilterk_#.bmp, (3) /tmp/hpcups_job#.out, (4) /tmp/hpijs_#####.out, or (5) /tmp/hpps_job#.out temporary file, a different vulnerability than CVE-2011-2722.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 1.9 1.9
Vector AV:L/AC:M/Au:N/C:N/I:P/A:N AV:L/AC:M/Au:N/C:N/I:P/A:N
Access Vector Local Local
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact Partial Partial
Availability Impact None None
SUSE Bugzilla entries: 808355 [RESOLVED / FIXED], 836937 [RESOLVED / FIXED], 852368 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
sledsp2-hplip
SUSE Linux Enterprise Desktop 11 SP3
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
sledsp3-hplip
SUSE Linux Enterprise Server 11 SP2
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
slessp2-hplip
SUSE Linux Enterprise Server 11 SP3
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
slessp3-hplip
SUSE Linux Enterprise Server 11 SP4
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA hplip
SUSE Linux Enterprise Server for SAP Applications 11 SP2
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
slessp2-hplip
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
slessp3-hplip
SUSE Linux Enterprise Server for VMWare 11 SP2
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
slessp2-hplip
SUSE Linux Enterprise Server for VMWare 11 SP3
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Patchnames:
slessp3-hplip
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Builds
SAT Patch Nr: 8775
SUSE Linux Enterprise Desktop 11 SP2
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • hplip >= 3.11.10-0.6.11.1
  • hplip-hpijs >= 3.11.10-0.6.11.1
Builds
SAT Patch Nr: 8777


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 hplip Released
SUSE Linux Enterprise Desktop 11 SP2 hplip Released
SUSE Linux Enterprise Desktop 11 SP3 hplip Released
SUSE Linux Enterprise Desktop 11 SP4 hplip Released
SUSE Linux Enterprise Server 10 SP4 LTSS hplip Affected
SUSE Linux Enterprise Server 11 SP1 hplip Released
SUSE Linux Enterprise Server 11 SP1 LTSS hplip Released
SUSE Linux Enterprise Server 11 SP2 hplip Released
SUSE Linux Enterprise Server 11 SP2 LTSS hplip Released
SUSE Linux Enterprise Server 11 SP3 hplip Released
SUSE Linux Enterprise Server 11 SP3 LTSS hplip Released
SUSE Linux Enterprise Server 11 SP4 hplip Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 hplip Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 hplip Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 hplip Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 hplip Released
SUSE Linux Enterprise Server for VMWare 11 SP2 hplip Released
SUSE Linux Enterprise Server for VMWare 11 SP3 hplip Released